Skip to content

API reference

Export

Export a table's rows as a file, and check an export's status.

The Export object

  • created_atintegerRequired

    At least 0.

  • updated_atintegerRequired

    At least 0.

  • idstringRequired

    1 to 48 characters.

  • project_idstringRequired

    1 to 48 characters.

  • table_idstringRequirednullable

    1 to 48 characters.

  • actor_idstringRequired

    Up to 36 characters.

  • checksumstringRequired

    Up to 64 characters.

  • statusstringRequired
    Allowed values
    processingcompletefailed
The Export objectjson
{  "created_at": 1711468800000,  "updated_at": 1711468800000,  "id": "exprt_01h5a3g8k9m2n4p6q8r0t2v4x6",  "project_id": "string",  "table_id": "string",  "actor_id": "string",  "checksum": "string",  "status": "processing",  "filter_json": "string",  "row_count": 42,  "json_key": "string",  "csv_key": "string",  "xlsx_key": "string",  "error": "string",  "expires_at": 1711468800000}

Get export status

GET/v1/projects/{project_id}/exports/{export_id}

Path parameters

  • project_idstringRequired
  • export_idstringRequired

Returns

200application/json

  • created_atintegerRequired

    At least 0.

  • updated_atintegerRequired

    At least 0.

  • idstringRequired

    1 to 48 characters.

  • project_idstringRequired

    1 to 48 characters.

  • table_idstringRequirednullable

    1 to 48 characters.

  • actor_idstringRequired

    Up to 36 characters.

  • checksumstringRequired

    Up to 64 characters.

  • statusstringRequired
    Allowed values
    processingcompletefailed
  • filter_jsonstringRequirednullable

    Up to 4096 characters.

  • row_countintegerRequirednullable

    At least 0.

  • json_keystringRequirednullable

    Up to 512 characters.

  • csv_keystringRequirednullable

    Up to 512 characters.

  • xlsx_keystringRequirednullable

    Up to 512 characters.

  • errorstringRequirednullable

    Up to 2048 characters.

  • expires_atintegerRequirednullable

    At least 0.

Errors

  • 404export_not_foundnot_found
Errors every endpoint can return
import { AnyrowSDK } from "@anyrow/sdk"const anyrow = new AnyrowSDK({  baseURL: "https://api.anyrow.ai",  headers: { Authorization: `ApiKey ${process.env.ANYROW_API_KEY}` },})const { data, error } = await anyrow.export.get({  params: {    project_id: "{project_id}",    export_id: "{export_id}"  },})
{  "created_at": 1711468800000,  "updated_at": 1711468800000,  "id": "exprt_01h5a3g8k9m2n4p6q8r0t2v4x6",  "project_id": "string",  "table_id": "string",  "actor_id": "string",  "checksum": "string",  "status": "processing",  "filter_json": "string",  "row_count": 42,  "json_key": "string",  "csv_key": "string",  "xlsx_key": "string",  "error": "string",  "expires_at": 1711468800000}

Export table rows

GET/v1/projects/{project_id}/tables/{table_id}/export

Path parameters

  • project_idstringRequired
  • table_idstringRequired

Query parameters

  • filterstringoptional
  • formatstringRequired
    Allowed values
    csvjsonxlsx
  • orderstringoptional
  • schemastringoptional
    Allowed values
    truefalse
  • sincestringoptional

Returns

200application/json

  • idstringRequired
  • statusstringRequired
    Always
    processing

Errors

  • 404not_foundtable_not_found
Errors every endpoint can return
import { AnyrowSDK } from "@anyrow/sdk"const anyrow = new AnyrowSDK({  baseURL: "https://api.anyrow.ai",  headers: { Authorization: `ApiKey ${process.env.ANYROW_API_KEY}` },})const { data, error } = await anyrow.table.export({  params: {    project_id: "{project_id}",    table_id: "{table_id}"  },  search: {    format: "csv"  },})
{  "id": "string",  "status": "processing"}